Subject: git merge --abort deletes unstaged files

From: André Hänsel <[email-masked]>
Date: Mon, 15 Sep 2014 17:43:33 +0200

As discussed in
https://groups.google.com/forum/#!topic/git-users/uR7gzLL2Ovc:

I ran git merge to merge a branch. There were some conflicted files.
Although they were automatically resolved by git rerere, I still had to add
them. I accidentally ran "git add ." instead of "git add -u". I noticed my
mistake and ran "git merge --abort" to start over. To my dismay all my
untracked files were gone.